Subject: Re: [PATCH v2 01/10] t/unit-tests: implement reftable test helper functions in unit-test.{c,h}

From: Junio C Hamano <[email-masked]>
Date: Tue, 29 Apr 2025 16:04:22 -0700

Seyi Kuforiji <[email-masked]> writes:

> Helper functions defined in `t/unit-tests/lib-reftable.{c,h}` are
> required for the reftable-related test files to run efficeintly. In the

efficeintly?  effectively?  efficiently?  correctly?  Wouldn't it be
sufficient to say "... to run." without anything else?

> current implementation these functions are designed to conform with our
> homegrown unit-testing structure. So in other to convert the reftable
> test files, there is need for a clar specific implementation of these
> helper functions.

OK.

> type cast `for (size_t i = 0; i < (size_t)stats->ref_stats.blocks;
> i++)`, implement equivalent helper functions in unit-test.{c,h} to use
> clar.

I cannot quite parse this.

> These functions conform with the clar testing framework and become
> available for all reftable-related test files implemented using the clar
> testing framework, which requires them. This will be used by subsequent
> commits.

OK.

> Signed-off-by: Seyi Kuforiji <[email-masked]>
> ---
>  t/unit-tests/unit-test.c | 93 ++++++++++++++++++++++++++++++++++++++++
>  t/unit-tests/unit-test.h | 16 +++++++
>  2 files changed, 109 insertions(+)

Hmph, this probably is a question better asked to Patrick, but it
somehow feels a bit unsatisfactory that we are duplicating instead
of replacing, as we cannot see "ah, this removed thing is now added
in a different shape to fit in the other framework" in the patch---
instead what we see in the patch is a bunch of "a completely new
thing that honors the convention we are familiar in existing clar
based tests is added here".